<back to all web services

GetItemsTargetLanguagesStatuses

The following routes are available for this service:
POST/RestApi/translations/getTargetLanguagesStatuses
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetItemsTargetLanguagesStatuses
    {
        public ArrayList<UUID> Ids = null;
        public Class ContentType = null;
        public String SourceLanguage = null;
        public Integer Skip = null;
        public Integer Take = null;
        
        public ArrayList<UUID> getIds() { return Ids; }
        public GetItemsTargetLanguagesStatuses setIds(ArrayList<UUID> value) { this.Ids = value; return this; }
        public Class getContentType() { return ContentType; }
        public GetItemsTargetLanguagesStatuses setContentType(Class value) { this.ContentType = value; return this; }
        public String getSourceLanguage() { return SourceLanguage; }
        public GetItemsTargetLanguagesStatuses setSourceLanguage(String value) { this.SourceLanguage = value; return this; }
        public Integer getSkip() { return Skip; }
        public GetItemsTargetLanguagesStatuses setSkip(Integer value) { this.Skip = value; return this; }
        public Integer getTake() { return Take; }
        public GetItemsTargetLanguagesStatuses setTake(Integer value) { this.Take = value; return this; }
    }

    @DataContract
    public static class CollectionContext<T>
    {
        @DataMember
        public Integer TotalCount = null;

        @DataMember
        public Boolean IsGeneric = null;

        @DataMember
        public HashMap<String,String> Context = null;

        @DataMember
        public ArrayList<ItemsTargetLanguageStatusProxy> Items = null;
        
        public Integer getTotalCount() { return TotalCount; }
        public CollectionContext<T> setTotalCount(Integer value) { this.TotalCount = value; return this; }
        public Boolean getIsGeneric() { return IsGeneric; }
        public CollectionContext<T> setIsGeneric(Boolean value) { this.IsGeneric = value; return this; }
        public HashMap<String,String> getContext() { return Context; }
        public CollectionContext<T> setContext(HashMap<String,String> value) { this.Context = value; return this; }
        public ArrayList<ItemsTargetLanguageStatusProxy> getItems() { return Items; }
        public CollectionContext<T> setItems(ArrayList<ItemsTargetLanguageStatusProxy> value) { this.Items = value; return this; }
    }

    public static class ItemsTargetLanguageStatusProxy
    {
        public String Code = null;
        public String Name = null;
        public Boolean SomeItemsHaveIncompatiblePendingTranslations = null;
        public Boolean AllItemsHaveIncompatiblePendingTranslations = null;
        
        public String getCode() { return Code; }
        public ItemsTargetLanguageStatusProxy setCode(String value) { this.Code = value; return this; }
        public String getName() { return Name; }
        public ItemsTargetLanguageStatusProxy setName(String value) { this.Name = value; return this; }
        public Boolean isSomeItemsHaveIncompatiblePendingTranslations() { return SomeItemsHaveIncompatiblePendingTranslations; }
        public ItemsTargetLanguageStatusProxy setSomeItemsHaveIncompatiblePendingTranslations(Boolean value) { this.SomeItemsHaveIncompatiblePendingTranslations = value; return this; }
        public Boolean isAllItemsHaveIncompatiblePendingTranslations() { return AllItemsHaveIncompatiblePendingTranslations; }
        public ItemsTargetLanguageStatusProxy setAllItemsHaveIncompatiblePendingTranslations(Boolean value) { this.AllItemsHaveIncompatiblePendingTranslations = value; return this; }
    }

}

Java GetItemsTargetLanguagesStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/getTargetLanguagesStatuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"SourceLanguage":"String","Skip":0,"Take":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}